Bug 385631 - CUPS SIGSEGVs on Samba job submit
CUPS SIGSEGVs on Samba job submit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-11-15 16:04 EST by Chris Cheyney
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.3.4-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 20:41:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Cheyney 2007-11-15 16:04:38 EST
Description of problem:

CUPS 1.3.4 dies suddenly on Fedora 8 with a SIGSEGV
when Samba 3.0.26a tries to submit a job.

The problem can be narrowed down to a single line of code
in CUPS 1.3.4 through 1.4-current SVN (available through the
CUPS site).  It affects more than just Fedora 8, although this
is the system where it was discovered.

Please refer to CUPS STR #2599 and #2600 for more details.
STR #2600 contains details for commenting out the offending
line of code to work around the issue temporarily.

Version-Release number of selected component (if applicable):

cups-1.3.4-2.fc8
samba-3.0.26a-6.fc8

How reproducible:

Attempt remote printing from another system through any Samba
printer.

Steps to Reproduce:
1.  Use the configuration specified in CUPS problem report
    STR #2599.
2.  Print to any defined Samba printer from another system.
3.  Make sure the job attempts to spool.
4.  Watch for a SIGSEGV in dmesg.
  
Actual results:

  dmesg: cupsd[20156]: segfault at 00000004 eip 0045e153 esp bfb67064 error 4

Expected results:

  Printed pages

Additional info:

  http://www.cups.org/str.php?L2599
  http://www.cups.org/str.php?L2600
Comment 1 Tim Waugh 2007-11-20 08:44:06 EST
Thanks.  Fixed in CVS.
Comment 2 Fedora Update System 2007-11-20 13:08:48 EST
cups-1.3.4-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'
Comment 3 Fedora Update System 2007-11-28 20:41:55 EST
cups-1.3.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.